com.creamtec.ajaxswing.gui.peer

## Class AjaxSwingComponentPeer

- java.lang.Object
- - com.creamtec.ajaxswing.gui.peer.AjaxSwingComponentPeer

- All Implemented Interfaces:
    java.awt.peer.ComponentPeer
  Direct Known Subclasses:
    AjaxSwingButtonPeer, AjaxSwingCheckboxPeer, AjaxSwingChoicePeer, AjaxSwingContainerPeer, AjaxSwingGenericPeer, AjaxSwingLabelPeer, AjaxSwingListPeer, AjaxSwingScrollBarPeer, AjaxSwingTextComponentPeer

      public class AjaxSwingComponentPeer
      extends java.lang.Object
      implements java.awt.peer.ComponentPeer

- - ### Field Summary

    - ### Fields inherited from interface java.awt.peer.ComponentPeer

      `DEFAULT_OPERATION, NO_EMBEDDED_CHECK, RESET_OPERATION, SET_BOUNDS, SET_CLIENT_SIZE, SET_LOCATION, SET_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingComponentPeer(java.awt.Component target)` Other peers will delegate to their corresponding Swing classes so that sizes can be calculated properly

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyShape(sun.java2d.pipe.Region shape)`
    `boolean` | `canDetermineObscurity()`
    `int` | `checkImage(java.awt.Image img, int w, int h, java.awt.image.ImageObserver o)`
    `void` | `coalescePaintEvent(java.awt.event.PaintEvent e)`
    `void` | `createBuffers(int numBuffers, java.awt.BufferCapabilities caps)`
    `javax.swing.JComponent` | `createDelegate()`
    `java.awt.Image` | `createImage(java.awt.image.ImageProducer producer)`
    `java.awt.Image` | `createImage(int width, int height)`
    `java.awt.image.VolatileImage` | `createVolatileImage(int width, int height)`
    `void` | `destroyBuffers()`
    `void` | `disable()`
    `void` | `dispose()`
    `void` | `enable()`
    `void` | `flip(java.awt.BufferCapabilities.FlipContents flipAction)`
    `void` | `flip(int x1, int y1, int x2, int y2, java.awt.BufferCapabilities.FlipContents flipAction)`
    `java.awt.GraphicsConfiguration` | `getAppropriateGraphicsConfiguration(java.awt.GraphicsConfiguration gc)`
    `java.awt.Image` | `getBackBuffer()`
    `java.awt.Rectangle` | `getBounds()`
    `java.awt.image.ColorModel` | `getColorModel()`
    `javax.swing.JComponent` | `getDelegate()`
    `javax.swing.JComponent` | `getDelegateComponent()`
    `java.awt.FontMetrics` | `getFontMetrics(java.awt.Font font)`
    `java.awt.Graphics` | `getGraphics()`
    `java.awt.GraphicsConfiguration` | `getGraphicsConfiguration()`
    `java.awt.Image` | `getImage()`
    `java.awt.Point` | `getLocationOnScreen()`
    `java.awt.Dimension` | `getMinimumSize()`
    `java.awt.Dimension` | `getPreferredSize()`
    `java.awt.Component` | `getTarget()`
    `java.awt.Toolkit` | `getToolkit()`
    `void` | `handleEvent(java.awt.AWTEvent e)`
    `boolean` | `handlesWheelScrolling()`
    `void` | `hide()`
    `boolean` | `isFocusable()`
    `boolean` | `isFocusTraversable()`
    `boolean` | `isObscured()`
    `boolean` | `isReparentSupported()`
    `void` | `layout()`
    `java.awt.Dimension` | `minimumSize()`
    `void` | `paint(java.awt.Graphics g)`
    `java.awt.Dimension` | `preferredSize()`
    `boolean` | `prepareImage(java.awt.Image img, int w, int h, java.awt.image.ImageObserver o)`
    `void` | `print(java.awt.Graphics g)`
    `void` | `repaint(long tm, int x, int y, int width, int height)`
    `void` | `reparent(java.awt.peer.ContainerPeer containerpeer)`
    `void` | `requestFocus()`
    `boolean` | `requestFocus(java.awt.Component lightweightChild, boolean temporary, boolean focusedWindowChangeAllowed, long time)`
    `boolean` | `requestFocus(java.awt.Component lightweightChild, boolean temporary, boolean focusedWindowChangeAllowed, long time, sun.awt.CausedFocusEvent.Cause cause)`
    `void` | `reshape(int x, int y, int width, int height)`
    `void` | `setBackground(java.awt.Color c)`
    `void` | `setBounds(int x, int y, int width, int height)`
    `void` | `setBounds(int x, int y, int w, int h, int mode)` Central method for setting peer bounds
    `void` | `setBounds(java.awt.Rectangle bounds)`
    `void` | `setCursor(java.awt.Cursor cursor)`
    `void` | `setDelegate(javax.swing.JComponent delegate)`
    `void` | `setDelegateComponent(javax.swing.JComponent delegate)`
    `void` | `setEnabled(boolean b)`
    `void` | `setFont(java.awt.Font font)`
    `void` | `setForeground(java.awt.Color c)`
    `void` | `setTarget(java.awt.Component target)`
    `void` | `setVisible(boolean b)`
    `void` | `setZOrder(java.awt.peer.ComponentPeer above)`
    `void` | `show()`
    `void` | `updateCursorImmediately()`
    `boolean` | `updateGraphicsData(java.awt.GraphicsConfiguration gc)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxSwingComponentPeer

          public AjaxSwingComponentPeer(java.awt.Component target)

      Other peers will delegate to their corresponding Swing classes so that sizes can be calculated properly

  - ### Method Detail

    - #### createDelegate

          public javax.swing.JComponent createDelegate()

    - #### setDelegateComponent

          public void setDelegateComponent(javax.swing.JComponent delegate)

    - #### getDelegateComponent

          public javax.swing.JComponent getDelegateComponent()

    - #### setVisible

          public void setVisible(boolean b)

      Specified by:
        `setVisible` in interface `java.awt.peer.ComponentPeer`

    - #### setEnabled

          public void setEnabled(boolean b)

      Specified by:
        `setEnabled` in interface `java.awt.peer.ComponentPeer`

    - #### paint

          public void paint(java.awt.Graphics g)

      Specified by:
        `paint` in interface `java.awt.peer.ComponentPeer`

    - #### repaint

          public void repaint(long tm,
                     int x,
                     int y,
                     int width,
                     int height)

    - #### print

          public void print(java.awt.Graphics g)

      Specified by:
        `print` in interface `java.awt.peer.ComponentPeer`

    - #### setBounds

          public void setBounds(int x,
                       int y,
                       int width,
                       int height)

    - #### handleEvent

          public void handleEvent(java.awt.AWTEvent e)

      Specified by:
        `handleEvent` in interface `java.awt.peer.ComponentPeer`

    - #### getLocationOnScreen

          public java.awt.Point getLocationOnScreen()

      Specified by:
        `getLocationOnScreen` in interface `java.awt.peer.ComponentPeer`

    - #### getPreferredSize

          public java.awt.Dimension getPreferredSize()

      Specified by:
        `getPreferredSize` in interface `java.awt.peer.ComponentPeer`

    - #### getMinimumSize

          public java.awt.Dimension getMinimumSize()

      Specified by:
        `getMinimumSize` in interface `java.awt.peer.ComponentPeer`

    - #### getColorModel

          public java.awt.image.ColorModel getColorModel()

      Specified by:
        `getColorModel` in interface `java.awt.peer.ComponentPeer`

    - #### getToolkit

          public java.awt.Toolkit getToolkit()

      Specified by:
        `getToolkit` in interface `java.awt.peer.ComponentPeer`

    - #### getGraphics

          public java.awt.Graphics getGraphics()

      Specified by:
        `getGraphics` in interface `java.awt.peer.ComponentPeer`

    - #### getFontMetrics

          public java.awt.FontMetrics getFontMetrics(java.awt.Font font)

      Specified by:
        `getFontMetrics` in interface `java.awt.peer.ComponentPeer`

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `java.awt.peer.ComponentPeer`

    - #### setForeground

          public void setForeground(java.awt.Color c)

      Specified by:
        `setForeground` in interface `java.awt.peer.ComponentPeer`

    - #### setBackground

          public void setBackground(java.awt.Color c)

      Specified by:
        `setBackground` in interface `java.awt.peer.ComponentPeer`

    - #### setFont

          public void setFont(java.awt.Font font)

      Specified by:
        `setFont` in interface `java.awt.peer.ComponentPeer`

    - #### setCursor

          public void setCursor(java.awt.Cursor cursor)

    - #### requestFocus

          public void requestFocus()

    - #### isFocusTraversable

          public boolean isFocusTraversable()

    - #### createImage

          public java.awt.Image createImage(java.awt.image.ImageProducer producer)

      Specified by:
        `createImage` in interface `java.awt.peer.ComponentPeer`

    - #### createImage

          public java.awt.Image createImage(int width,
                                   int height)

      Specified by:
        `createImage` in interface `java.awt.peer.ComponentPeer`

    - #### prepareImage

          public boolean prepareImage(java.awt.Image img,
                             int w,
                             int h,
                             java.awt.image.ImageObserver o)

      Specified by:
        `prepareImage` in interface `java.awt.peer.ComponentPeer`

    - #### checkImage

          public int checkImage(java.awt.Image img,
                       int w,
                       int h,
                       java.awt.image.ImageObserver o)

      Specified by:
        `checkImage` in interface `java.awt.peer.ComponentPeer`

    - #### preferredSize

          public java.awt.Dimension preferredSize()

    - #### minimumSize

          public java.awt.Dimension minimumSize()

    - #### show

          public void show()

    - #### hide

          public void hide()

    - #### enable

          public void enable()

    - #### disable

          public void disable()

    - #### reshape

          public void reshape(int x,
                     int y,
                     int width,
                     int height)

    - #### isObscured

          public boolean isObscured()

      Specified by:
        `isObscured` in interface `java.awt.peer.ComponentPeer`

    - #### canDetermineObscurity

          public boolean canDetermineObscurity()

      Specified by:
        `canDetermineObscurity` in interface `java.awt.peer.ComponentPeer`

    - #### updateCursorImmediately

          public void updateCursorImmediately()

      Specified by:
        `updateCursorImmediately` in interface `java.awt.peer.ComponentPeer`

    - #### requestFocus

          public boolean requestFocus(java.awt.Component lightweightChild,
                             boolean temporary,
                             boolean focusedWindowChangeAllowed,
                             long time)

    - #### isFocusable

          public boolean isFocusable()

      Specified by:
        `isFocusable` in interface `java.awt.peer.ComponentPeer`

    - #### createVolatileImage

          public java.awt.image.VolatileImage createVolatileImage(int width,
                                                         int height)

      Specified by:
        `createVolatileImage` in interface `java.awt.peer.ComponentPeer`

    - #### handlesWheelScrolling

          public boolean handlesWheelScrolling()

      Specified by:
        `handlesWheelScrolling` in interface `java.awt.peer.ComponentPeer`

    - #### createBuffers

          public void createBuffers(int numBuffers,
                           java.awt.BufferCapabilities caps)
                             throws java.awt.AWTException

      Specified by:
        `createBuffers` in interface `java.awt.peer.ComponentPeer`
      Throws:
        `java.awt.AWTException`

    - #### getBackBuffer

          public java.awt.Image getBackBuffer()

      Specified by:
        `getBackBuffer` in interface `java.awt.peer.ComponentPeer`

    - #### flip

          public void flip(java.awt.BufferCapabilities.FlipContents flipAction)

    - #### destroyBuffers

          public void destroyBuffers()

      Specified by:
        `destroyBuffers` in interface `java.awt.peer.ComponentPeer`

    - #### getGraphicsConfiguration

          public java.awt.GraphicsConfiguration getGraphicsConfiguration()

      Specified by:
        `getGraphicsConfiguration` in interface `java.awt.peer.ComponentPeer`

    - #### coalescePaintEvent

          public void coalescePaintEvent(java.awt.event.PaintEvent e)

      Specified by:
        `coalescePaintEvent` in interface `java.awt.peer.ComponentPeer`

    - #### getDelegate

          public javax.swing.JComponent getDelegate()

    - #### setDelegate

          public void setDelegate(javax.swing.JComponent delegate)

    - #### getImage

          public java.awt.Image getImage()

    - #### getTarget

          public java.awt.Component getTarget()

    - #### setTarget

          public void setTarget(java.awt.Component target)

    - #### setBounds

          public void setBounds(java.awt.Rectangle bounds)

    - #### getBounds

          public java.awt.Rectangle getBounds()

    - #### setBounds

          public void setBounds(int x,
                       int y,
                       int w,
                       int h,
                       int mode)

      Central method for setting peer bounds
      Specified by:
        `setBounds` in interface `java.awt.peer.ComponentPeer`

    - #### layout

          public void layout()

      Specified by:
        `layout` in interface `java.awt.peer.ComponentPeer`

    - #### isReparentSupported

          public boolean isReparentSupported()

      Specified by:
        `isReparentSupported` in interface `java.awt.peer.ComponentPeer`

    - #### reparent

          public void reparent(java.awt.peer.ContainerPeer containerpeer)

      Specified by:
        `reparent` in interface `java.awt.peer.ComponentPeer`

    - #### requestFocus

          public boolean requestFocus(java.awt.Component lightweightChild,
                             boolean temporary,
                             boolean focusedWindowChangeAllowed,
                             long time,
                             sun.awt.CausedFocusEvent.Cause cause)

      Specified by:
        `requestFocus` in interface `java.awt.peer.ComponentPeer`

    - #### applyShape

          public void applyShape(sun.java2d.pipe.Region shape)

      Specified by:
        `applyShape` in interface `java.awt.peer.ComponentPeer`

    - #### flip

          public void flip(int x1,
                  int y1,
                  int x2,
                  int y2,
                  java.awt.BufferCapabilities.FlipContents flipAction)

      Specified by:
        `flip` in interface `java.awt.peer.ComponentPeer`

    - #### updateGraphicsData

          public boolean updateGraphicsData(java.awt.GraphicsConfiguration gc)

      Specified by:
        `updateGraphicsData` in interface `java.awt.peer.ComponentPeer`

    - #### setZOrder

          public void setZOrder(java.awt.peer.ComponentPeer above)

      Specified by:
        `setZOrder` in interface `java.awt.peer.ComponentPeer`

    - #### getAppropriateGraphicsConfiguration

          public java.awt.GraphicsConfiguration getAppropriateGraphicsConfiguration(java.awt.GraphicsConfiguration gc)

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.